package com.ramos.munoz.tesis;

import android.content.Context;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import com.ramos.munoz.tesis.R;

public class MapaDetalleTab2 extends Fragment {
    private static Context contexto;
    private static Estacionamiento estacionamiento;
    private TextView telefono;
    private TextView horario;
    private TextView descripcion;

    public static Fragment nuevaInstancia(Context contexto, Estacionamiento estacionamiento) {
	MapaDetalleTab2.contexto = contexto;
	MapaDetalleTab2 f = new MapaDetalleTab2();
	MapaDetalleTab2.estacionamiento = estacionamiento;
	return f;
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
	ViewGroup v = (ViewGroup) inflater.inflate(R.layout.mapa_detalle_tab2, null);
	telefono = (TextView) v.findViewById(R.id.txtTelefono);
	horario = (TextView) v.findViewById(R.id.txtHorario);

	descripcion = (TextView) v.findViewById(R.id.txtDescripcion);

	telefono.setText(getString(R.string.telefono) + estacionamiento.getTelefono());
	horario.setText(getString(R.string.horario) + estacionamiento.getHorario());
	descripcion.setText("Descripción: " + estacionamiento.getDescripcion());
	return v;
    }

}
